player_wifi_link Struct Reference

Link information for one host. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | mac_count
| MAC address. More...
uint8_t | mac [32]
uint32_t | ip_count
| IP address. More...
uint8_t | ip [32]
uint32_t | essid_count
| ESSID. More...
uint8_t | essid [32]
uint32_t | mode
| Mode (master, adhoc, etc). More...
uint32_t | freq
| Frequency [MHz]. More...
uint32_t | encrypt
| Encryted?. More...
uint32_t | qual
| Link quality.
uint32_t | level
| Link level.
uint32_t | noise
| Link noise.

## Detailed Description

Link information for one host.

The `wifi` interface returns data regarding the signal characteristics of remote hosts as perceived through a wireless network interface; this is the format of the data for each host.

## Member Data Documentation

uint32_t player_wifi_link::encrypt

Encryted?.

uint32_t player_wifi_link::essid_count

ESSID.

uint32_t player_wifi_link::freq

Frequency [MHz].

uint32_t player_wifi_link::ip_count

IP address.

uint32_t player_wifi_link::mac_count

MAC address.

uint32_t player_wifi_link::mode

Mode (master, adhoc, etc).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45